PendingResults (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.soap
Class PendingResults

    java.lang.Object
      |
      +--org.emboss.jemboss.soap.PendingResults

public class PendingResults
extends java.lang.Object

Field Summary
`private boolean` | `autoUpdates`
`private int` | `completed_jobs`
`private javax.swing.JButton` | `jobButton`
`private javax.swing.JComboBox` | `jobComboBox`
`private JembossParams` | `mysettings`
`private java.util.Vector` | `pendingResults`
`private int` | `running_jobs`

Constructor Summary
`PendingResults(JembossParams mysettings)`

Method Summary
`void` | `addResult(JembossProcess res)`
`java.util.Hashtable` | `descriptionHash()`
`JembossProcess` | `getResult(java.lang.String s)`
`java.lang.String` | `getStatus()`
`private java.util.Vector` | `getVector(java.util.Hashtable h)`
`boolean` | `isAutoUpdate()`
`java.lang.String` | `jobStatus()` Report the status of completed and running processes.
`void` | `removeResult(JembossProcess res)`
`void` | `resetCount()`
`void` | `setAutoUpdate(boolean b)`
`void` | `showPendingResults(javax.swing.JFrame f)`
`java.util.Hashtable` | `statusHash()`
`javax.swing.JPanel` | `statusPanel(javax.swing.JFrame f)` A panel with appropriate gadgets to show the status of any jobs and to view them, and to set the mode.
`void` | `updateJobStats()`
`void` | `updateMode()` Updates the mode on the combo box to reflect the current state
`void` | `updateMode(java.lang.String s)` Updates the mode on the combo box to reflect the requested value
`void` | `updateStatus()` Connect to the embreo server, and update the status of the jobs in the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### completed_jobs

    private int completed_jobs

### running_jobs

    private int running_jobs

### mysettings

    private JembossParams mysettings

### pendingResults

    private java.util.Vector pendingResults

### jobButton

    private javax.swing.JButton jobButton

### jobComboBox

    private javax.swing.JComboBox jobComboBox

### autoUpdates

    private boolean autoUpdates

Constructor Detail

### PendingResults

    public PendingResults(JembossParams mysettings)

Method Detail

### resetCount

    public void resetCount()

### addResult

    public void addResult(JembossProcess res)

### removeResult

    public void removeResult(JembossProcess res)

### getResult

    public JembossProcess getResult(java.lang.String s)

  Parameters:
    `s` - The name of the dataset
  Returns:
    the process object

### descriptionHash

    public java.util.Hashtable descriptionHash()

### statusHash

    public java.util.Hashtable statusHash()

### updateJobStats

    public void updateJobStats()

### jobStatus

    public java.lang.String jobStatus()

  Report the status of completed and running processes.

### updateStatus

    public void updateStatus()

  Connect to the embreo server, and update the status of the jobs in the list. If a statusPanel is active, updates the text on that.

### getVector

    private java.util.Vector getVector(java.util.Hashtable h)

### isAutoUpdate

    public boolean isAutoUpdate()

  Returns:
    true if automatically updating status manager with BatchUpdateTimer thread

### setAutoUpdate

    public void setAutoUpdate(boolean b)

### updateMode

    public void updateMode()

  Updates the mode on the combo box to reflect the current state

### updateMode

    public void updateMode(java.lang.String s)

  Updates the mode on the combo box to reflect the requested value

### statusPanel

    public javax.swing.JPanel statusPanel(javax.swing.JFrame f)

  A panel with appropriate gadgets to show the status of any jobs and to view them, and to set the mode.

  Parameters:
    `f` - The parent frame, to which dialogs will be attached.

### showPendingResults

    public void showPendingResults(javax.swing.JFrame f)

### getStatus

    public java.lang.String getStatus()

  Returns:
    job status text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD